﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["GridData"] == null)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Value", typeof(string));

            dt.Rows.Add(1, "A");
            dt.Rows.Add(2, "B");
            dt.Rows.Add(3, "C");
            dt.Rows.Add(4, "D");

            Session["GridData"] = dt;
        }

        WebDataGrid1.DataSource = Session["GridData"];

        (WebDataGrid1.Columns["CheckBox"] as UnboundCheckBoxField).HeaderCheckBoxMode = Infragistics.Web.UI.CheckBoxMode.Off;
    }
}